Index: libCERTI/Clock.hh
===================================================================
RCS file: /sources/certi/certi/libCERTI/Clock.hh,v
retrieving revision 4.4
diff -u -r4.4 libCERTI/Clock.hh
--- libCERTI/Clock.hh	28 Sep 2007 15:26:03 -0000	4.4
+++ libCERTI/Clock.hh	21 Jun 2008 16:15:09 -0000
@@ -51,7 +51,7 @@
 	 * Get the clock name.
 	 * @return the clock name
 	 */
-	const std::string getName() {return name;}; 
+	const std::string getName() const {return name;}; 
 	/**
 	 * Get the clock resolution in nano-seconds.
 	 * @return the clock resolution in nano-seconds
Index: libCERTI/LBTS.cc
===================================================================
RCS file: /sources/certi/certi/libCERTI/LBTS.cc,v
retrieving revision 3.10
diff -u -r3.10 libCERTI/LBTS.cc
--- libCERTI/LBTS.cc	23 Apr 2008 13:03:28 -0000	3.10
+++ libCERTI/LBTS.cc	21 Jun 2008 16:15:09 -0000
@@ -94,7 +94,11 @@
 LBTS::get(std::vector<FederateClock> &v) const
 {
     v.reserve(v.size() + clocks.size());
-    std::copy(clocks.begin(), clocks.end(), std::back_inserter(v));
+    // append clocks to v
+    // note, the ClockSet::value_type and FederateClock differ in const-ness
+    for(ClockSet::const_iterator pos = clocks.begin();
+        pos != clocks.end(); pos++)
+        v.push_back(FederateClock(pos->first, pos->second));
 }
 
 // ----------------------------------------------------------------------------
Index: libCERTI/MessageBuffer.cc
===================================================================
RCS file: /sources/certi/certi/libCERTI/MessageBuffer.cc,v
retrieving revision 3.10
diff -u -r3.10 libCERTI/MessageBuffer.cc
--- libCERTI/MessageBuffer.cc	12 Jun 2008 07:39:49 -0000	3.10
+++ libCERTI/MessageBuffer.cc	21 Jun 2008 16:15:10 -0000
@@ -205,7 +205,7 @@
 int32_t MessageBuffer::read_uint8s(uint8_t* data, uint32_t n) {	
 	if (n + readOffset > writeOffset) {
 		std::stringstream smsg;
-		smsg << __func__ << "::invalid read of size <" << n
+		smsg << "read_uint8s::invalid read of size <" << n
 				<< "> inside a buffer of readable size <"
 				<< (int32_t)writeOffset-readOffset << "> (writeOffset="
 				<<writeOffset << ",readOffset="<<readOffset <<").";
@@ -249,7 +249,7 @@
 	
 	if (2*n + readOffset > writeOffset) {
 		std::stringstream smsg;
-		smsg << __func__ << "::invalid read of size <" << 2*n
+		smsg << "read_uint16s::invalid read of size <" << 2*n
 				<< "> inside a buffer of readable size <"
 				<< (int32_t)writeOffset-readOffset << "> (writeOffset="
 				<<writeOffset << ",readOffset="<<readOffset <<").";
@@ -303,7 +303,7 @@
 	
 	if (4*n + readOffset > writeOffset) {
 		std::stringstream smsg;
-		smsg << __func__ << "::invalid read of size <" << 4*n
+		smsg << "read_uint32s::invalid read of size <" << 4*n
 				<< "> inside a buffer of readable size <"
 				<< (int32_t)writeOffset-readOffset << "> (writeOffset="
 				<<writeOffset << ",readOffset="<<readOffset <<").";
@@ -370,7 +370,7 @@
 	
 	if (8*n + readOffset > writeOffset) {
 		std::stringstream smsg;
-		smsg << __func__ << "::invalid read of size <" << 4*n
+		smsg << "read_uint64s::invalid read of size <" << 4*n
 				<< "> inside a buffer of readable size <"
 				<< (int32_t)writeOffset-readOffset << "> (writeOffset="
 				<<writeOffset << ",readOffset="<<readOffset <<").";
Index: libCERTI/NM_Classes.hh
===================================================================
RCS file: /sources/certi/certi/libCERTI/NM_Classes.hh,v
retrieving revision 3.6
diff -u -r3.6 libCERTI/NM_Classes.hh
--- libCERTI/NM_Classes.hh	11 Jun 2008 15:19:21 -0000	3.6
+++ libCERTI/NM_Classes.hh	21 Jun 2008 16:15:13 -0000
@@ -43,7 +43,7 @@
 	virtual void serialize(MessageBuffer& msgBuffer);
 	virtual void deserialize(MessageBuffer& msgBuffer);	
 	/* specific Getter/Setter */	
-	AttributeHandle getHandle(int i) {return handleArray[i];};
+	AttributeHandle getHandle(int i) const {return handleArray[i];};
 	void setHandle(AttributeHandle h, int i) {handleArray[i]=h;};
 protected:
 	/* specific field */
@@ -59,22 +59,22 @@
 	virtual void deserialize(MessageBuffer& msgBuffer) = 0;	
 	/* specific Getter/Setter */	
 	const SpaceHandle getSpace() const {return space;};
-	void setSpace(SpaceHandle space) {this->space=space;};
+	void setSpace(SpaceHandle newSpace) {space=newSpace;};
 
 	const int32_t geNbExtents() const {return nbExtents;};
-	void setNbExtents(int32_t nbExtents) {this->nbExtents=nbExtents;};
+	void setNbExtents(int32_t newNbExtents) {nbExtents=newNbExtents;};
 
 	const int32_t getRegion() const {return region;};
-	void setRegion(int32_t region) {this->region=region;};	
+	void setRegion(int32_t newRegion) {region=newRegion;};	
 
 	const ObjectHandle getObject() const {return object;};
-	void setObject(ObjectHandle object) {this->object=object;};
+	void setObject(ObjectHandle newObject) {object=newObject;};
 
 	const ObjectClassHandle getObjectClass() const {return objectClass;};
-	void setObjectClass(ObjectClassHandle objectClass) {this->objectClass=objectClass;};
+	void setObjectClass(ObjectClassHandle newObjectClass) {objectClass=newObjectClass;};
 
 	const InteractionClassHandle getInteractionClass() const {return interactionClass;};
-	void setInteractionClass(InteractionClassHandle interactionClass) {this->interactionClass=interactionClass;};
+	void setInteractionClass(InteractionClassHandle newInteractionClass) {interactionClass=newInteractionClass;};
 protected:
 	/* specific field */
 	bool DDM_bool;
@@ -624,7 +624,7 @@
 	virtual void deserialize(MessageBuffer& msgBuffer);
 	/* specific Getter/Setter */
 	const InteractionClassHandle getInteractionClassHandle() const {return interactionClass;};
-	void setInteractionClassHandle(InteractionClassHandle interactionClass) {this->interactionClass=interactionClass;};
+	void setInteractionClassHandle(InteractionClassHandle newInteractionClass) {interactionClass=newInteractionClass;};
 protected:
 	/* specific field */
 	//	InteractionClassHandle interactionClass;
@@ -946,7 +946,7 @@
 	virtual void deserialize(MessageBuffer& msgBuffer);
 	/* specific Getter/Setter */
 	const ObjectHandle getObject() const {return object;};
-	void setObject(ObjectHandle object) {this->object=object;};
+	void setObject(ObjectHandle newObject) {object=newObject;};
 protected:
 	/* specific field */
 private:
@@ -1206,9 +1206,9 @@
 	virtual void deserialize(MessageBuffer& msgBuffer);
 	/* specific Getter/Setter */
 	const SpaceHandle getSpace() const {return space;};
-	void setSpace(SpaceHandle space) {this->space=space;};	
+	void setSpace(SpaceHandle newSpace) {space=newSpace;};	
 	const int32_t getRegion() const {return region;};
-	void setRegion(SpaceHandle region) {this->region=region;};
+	void setRegion(SpaceHandle newRegion) {region=newRegion;};
 protected:
 	/* specific field */
 	//	SpaceHandle space;
@@ -1229,7 +1229,7 @@
 	virtual void deserialize(MessageBuffer& msgBuffer);
 	/* specific Getter/Setter */
 	const int32_t getRegion() const {return region;};
-	void setRegion(SpaceHandle region) {this->region=region;};
+	void setRegion(SpaceHandle newRegion) {region=newRegion;};
 protected:
 	/* specific field */
 	//	int32_t region;
@@ -1248,7 +1248,7 @@
 	virtual void deserialize(MessageBuffer& msgBuffer);
 	/* specific Getter/Setter */
 	const int32_t getRegion() const {return region;};
-	void setRegion(SpaceHandle region) {this->region=region;};
+	void setRegion(SpaceHandle newRegion) {region=newRegion;};
 protected:
 	/* specific field */
 	//	int32_t region;	
@@ -1267,9 +1267,9 @@
 	virtual void deserialize(MessageBuffer& msgBuffer);
 	/* specific Getter/Setter */
 	const int32_t getRegion() const {return region;};
-	void setRegion(SpaceHandle region) {this->region=region;};
+	void setRegion(SpaceHandle newRegion) {region=newRegion;};
 	const ObjectHandle getObject() const {return object;};
-	void setObject(ObjectHandle object) {this->object=object;};		
+	void setObject(ObjectHandle newObject) {object=newObject;};
 protected:
 	/* specific field */
 	//	int32_t      region;
@@ -1396,12 +1396,12 @@
 	virtual void serialize(MessageBuffer& msgBuffer);
 	virtual void deserialize(MessageBuffer& msgBuffer);
 	/* specific Getter/Setter */
-	void setFEDid(std::string FEDid) {this->FEDid=FEDid;};
+	void setFEDid(std::string newFEDid) {FEDid=newFEDid;};
 	const std::string getFEDid() const {return FEDid;};
 	//	void setLineFollows() {lineFollows=true;};
 	//	void unsetLineFollows() {lineFollows=true;};
 	//const bool getLineFollows() {return lineFollows;};
-	void setFEDLine(std::string line) {this->line=line;};
+	void setFEDLine(std::string newLine) {line=newLine;};
 	std::string getFEDLine() {return line;};
 protected:
 	/* specific field */
Index: libCERTI/NetworkMessage.hh
===================================================================
RCS file: /sources/certi/certi/libCERTI/NetworkMessage.hh,v
retrieving revision 3.38
diff -u -r3.38 libCERTI/NetworkMessage.hh
--- libCERTI/NetworkMessage.hh	11 Jun 2008 15:19:22 -0000	3.38
+++ libCERTI/NetworkMessage.hh	21 Jun 2008 16:15:14 -0000
@@ -223,7 +223,7 @@
 	 * If ones set Date then this is a Dated message
 	 * Message builder which setDate will generate a Dated message 
 	 */
-	void setDate(FederationTime date) {_isDated=true; this->date = date;};
+	void setDate(FederationTime new_date) {_isDated=true; date = new_date;};
 	const FederationTime getDate() const {return this->date;};
 
 	unsigned long multicastAddress ;
@@ -232,7 +232,7 @@
 	 * Indicate if the message is Labelled or not
 	 */
 	bool isLabelled() {return _isLabelled;};	
-	void setLabel(const std::string label) {_isLabelled = true; this->label = label;};
+	void setLabel(const std::string new_label) {_isLabelled = true; label = new_label;};
 	void setLabel(const char *new_label) {_isLabelled = true; label = std::string(new_label); }
 	const std::string getLabel() const {return this->label;};
 
@@ -240,7 +240,7 @@
 	 * Indicate if the message is Tagged or not
 	 */
 	bool isTagged() {return _isTagged;};
-	void setTag(const std::string tag) {_isTagged = true; this->tag = tag;};
+	void setTag(const std::string new_tag) {_isTagged = true; tag = new_tag;};
 	void setTag(const char *new_tag) {_isTagged = true; tag = std::string(new_tag); }
 	const std::string getTag() const {return this->tag;};
 
Index: libCERTI/Subscribable.cc
===================================================================
RCS file: /sources/certi/certi/libCERTI/Subscribable.cc,v
retrieving revision 3.7
diff -u -r3.7 libCERTI/Subscribable.cc
--- libCERTI/Subscribable.cc	12 Jun 2008 07:39:48 -0000	3.7
+++ libCERTI/Subscribable.cc	21 Jun 2008 16:15:14 -0000
@@ -107,7 +107,9 @@
 void
 Subscribable::unsubscribe(FederateHandle fed)
 {
-    subscribers.remove_if(HandleComparator<Subscriber>(fed));
+    std::remove_if(subscribers.begin(),
+                   subscribers.end(),
+                   HandleComparator<Subscriber>(fed));
 }
 
 // ----------------------------------------------------------------------------
